<template>
    <div class="TotalTurnover">
        <h2 style="margin-bottom: 20px;padding-bottom:7px;border-bottom:2px solid #ddd">种羊等级分布</h2>
        <div class="left">
            <el-form ref="form" :model="form" label-width="120px">
                <el-form-item label="累计销售金额">
                    <el-input v-model="form.total"></el-input>
                </el-form-item>
                <el-form-item label="本月销售额">
                    <el-input v-model="form.month"></el-input>
                </el-form-item>
                <el-form-item label="上月销售额">
                    <el-input v-model="form.last"></el-input>
                </el-form-item>
                <el-form-item label="较上月(%)">
                    <el-input v-model="form.rise"></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button style="margin-left:60%" type="primary" @click="onSubmit">更新信息</el-button>
                </el-form-item>
            </el-form>
        </div>
    </div>
</template>

<script>
import { reqTotalTurnover, reqSetTotalTurnover } from "@/api/meatTransport.js";
export default {
    name: "TotalTurnover",
    data() {
        return {
            form: {
                total: "",
                month: "",
                last: "",
                rise: ""
            }
        };
    },
    created() {
        this.getTotalTurnover();
    },
    methods: {
        onSubmit() {
            this.$confirm("确定更新信息？").then(() => {
                reqSetTotalTurnover(this.form)
                    .then(res => {
                        if (res.errCode) {
                            this.$message.error(res.errMsg);
                        } else {
                            this.getTotalTurnover();
                            this.$message.success("更新成功！");
                        }
                    })
                    .catch(err => {
                        console.log(err);
                        this.$message.error("更新失败！");
                    });
            });
        },
        getTotalTurnover() {
            reqTotalTurnover()
                .then(res => {
                    this.form = res.conf;
                })
                .catch(err => {
                    console.error(err);
                });
        }
    }
};
</script>

<style lang="scss" scoped>
.TotalTurnover {
    .left {
        width: 400px;
        margin-left: 50px;
    }
}
</style>